﻿// <auto-generated />
using System;
using Microsoft.EntityFrameworkCore;
using Microsoft.EntityFrameworkCore.Infrastructure;
using Microsoft.EntityFrameworkCore.Storage.ValueConversion;
using SwP.Fulfillment.ParcelLogger.Shared;

#nullable disable

namespace SwP.Fulfillment.ParcelLogger.Shared.Migrations
{
    [DbContext(typeof(DbStorageContext))]
    partial class DbStorageContextModelSnapshot : ModelSnapshot
    {
        protected override void BuildModel(ModelBuilder modelBuilder)
        {
#pragma warning disable 612, 618
            modelBuilder.HasAnnotation("ProductVersion", "7.0.10");

            modelBuilder.Entity("SwP.Fulfillment.ParcelLogger.Shared.OutboundList", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("INTEGER");

                    b.Property<DateTime>("DateCreated")
                        .HasColumnType("TEXT");

                    b.Property<string>("Description")
                        .IsRequired()
                        .HasMaxLength(50)
                        .HasColumnType("TEXT");

                    b.Property<bool>("Edited")
                        .HasColumnType("INTEGER");

                    b.Property<bool>("Locked")
                        .HasColumnType("INTEGER");

                    b.HasKey("Id");

                    b.ToTable("Outbound");
                });

            modelBuilder.Entity("SwP.Fulfillment.ParcelLogger.Shared.Record", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("INTEGER");

                    b.Property<string>("Barcode")
                        .IsRequired()
                        .HasMaxLength(50)
                        .HasColumnType("TEXT");

                    b.Property<string>("Barcode2")
                        .HasMaxLength(50)
                        .HasColumnType("TEXT");

                    b.Property<string>("Barcode3")
                        .HasMaxLength(50)
                        .HasColumnType("TEXT");

                    b.Property<DateTime>("DateCreated")
                        .HasColumnType("TEXT");

                    b.Property<DateTime?>("DateReceivedToReturn")
                        .HasColumnType("TEXT");

                    b.Property<DateTime?>("DateReceivedToSent")
                        .HasColumnType("TEXT");

                    b.Property<int>("OutboundID")
                        .HasColumnType("INTEGER");

                    b.Property<int?>("ReturnedID")
                        .HasColumnType("INTEGER");

                    b.HasKey("Id");

                    b.HasIndex("OutboundID");

                    b.HasIndex("ReturnedID");

                    b.ToTable("Records");
                });

            modelBuilder.Entity("SwP.Fulfillment.ParcelLogger.Shared.ReturnedList", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("INTEGER");

                    b.Property<DateTime>("DateCreated")
                        .HasColumnType("TEXT");

                    b.Property<string>("Description")
                        .IsRequired()
                        .HasMaxLength(50)
                        .HasColumnType("TEXT");

                    b.Property<bool>("Edited")
                        .HasColumnType("INTEGER");

                    b.Property<bool>("Locked")
                        .HasColumnType("INTEGER");

                    b.HasKey("Id");

                    b.ToTable("Returned");
                });

            modelBuilder.Entity("SwP.Fulfillment.ParcelLogger.Shared.Record", b =>
                {
                    b.HasOne("SwP.Fulfillment.ParcelLogger.Shared.OutboundList", "Outbound")
                        .WithMany("Records")
                        .HasForeignKey("OutboundID")
                        .OnDelete(DeleteBehavior.Cascade)
                        .IsRequired();

                    b.HasOne("SwP.Fulfillment.ParcelLogger.Shared.ReturnedList", "Returned")
                        .WithMany("Records")
                        .HasForeignKey("ReturnedID")
                        .OnDelete(DeleteBehavior.SetNull);

                    b.Navigation("Outbound");

                    b.Navigation("Returned");
                });

            modelBuilder.Entity("SwP.Fulfillment.ParcelLogger.Shared.OutboundList", b =>
                {
                    b.Navigation("Records");
                });

            modelBuilder.Entity("SwP.Fulfillment.ParcelLogger.Shared.ReturnedList", b =>
                {
                    b.Navigation("Records");
                });
#pragma warning restore 612, 618
        }
    }
}
